Package com.emc.documentum.rest.constant

# Enum Class DeleteVersionPolicy

java.lang.Object
java.lang.Enum<DeleteVersionPolicy>
com.emc.documentum.rest.constant.DeleteVersionPolicy

All Implemented Interfaces:
  `IntegerValue`, `Serializable`, `Comparable<DeleteVersionPolicy>`, `Constable`

public enum DeleteVersionPolicy extends Enum<DeleteVersionPolicy> implements IntegerValue
Enum for delete version policies

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  Delete all versions of the object.
  `SELECTED`
  Delete the selected version of the object.
  `UNUSED`
  Delete the unused versions of the object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `int`
  `value()`
  Returns the integer value of the enum constant
  `static DeleteVersionPolicy`
  `valueOf(int value)`
  Gets enum constant according to the input enum value
  `static DeleteVersionPolicy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DeleteVersionPolicy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SELECTED

    public static final DeleteVersionPolicy SELECTED
    Delete the selected version of the object.

  - ### UNUSED

    public static final DeleteVersionPolicy UNUSED
    Delete the unused versions of the object. Unused versions are those versions that do not have symbolic labels.

  - ### ALL

    public static final DeleteVersionPolicy ALL
    Delete all versions of the object.

- ## Method Details

  - ### values

    public static DeleteVersionPolicy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DeleteVersionPolicy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Description copied from interface: `IntegerValue`
    Returns the integer value of the enum constant
    Specified by:
      `value` in interface `IntegerValue`
    Returns:
      the integer value of the enum constant

  - ### valueOf

    public static DeleteVersionPolicy valueOf(int value)
    Gets enum constant according to the input enum value
    Parameters:
      `value` - enum value
    Returns:
      enum constant

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<DeleteVersionPolicy>`